Attribute VB_Name = "ProgressModule"
Option Explicit

Public Sub ConnectToProgressForm(ByVal Hwnd As Long)
    EnableWindow Hwnd, 0
    'ProgressForm.PBar.Value = 0
    ProgressForm.InfoLbl.Caption = "Progression..."
    ProgressForm.Show
End Sub

Public Sub DisConnectFromProgressForm(ByVal Hwnd As Long)
    EnableWindow Hwnd, 1
    Unload ProgressForm
End Sub

Public Sub DrawProgress(ByVal iProgress As Integer, Optional ByVal sDescription As String = "Progression...")
    With ProgressForm
        .InfoLbl.Caption = sDescription
        '.PBar.Value = iProgress
    End With
End Sub
